Skip to main content
`Ctrl`+`K`

# PCRedundantGetOperators

gets the sequential linear system matrix and matrix used to construct the preconditioner

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCRedundantGetOperators(PC pc, Mat *mat, Mat *pmat)

Not Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameters

- mat - the matrix

- pmat - the (possibly different) matrix used to construct the preconditioner

## See Also

KSP: Linear System Solvers, `PCREDUNDANT`

## Level

advanced

## Location

src/ksp/pc/impls/redundant/redundant.c

## Implementations

PCRedundantGetOperators_Redundant() in src/ksp/pc/impls/redundant/redundant.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages